## qt-maemo-example 0.1-2

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.4.0) on: Wed Aug 13 14:59:48 2008
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -laudio -lXt -lpng -lSM -lICE -pthread -pthread -lXrender -lfreetype -lXext -lX11 -lQtCore -lfontconfig -lz -lm -pthread -lgthread-2.0 -lrt -lglib-2.0 -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp \
		qrc_application.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o \
		qrc_application.o
DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		src.pro
QMAKE_TARGET  = src
DESTDIR       = 
TARGET        = src

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/src1.0.0 || $(MKDIR) .tmp/src1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/src1.0.0/ && $(COPY_FILE) --parents mainwindow.h .tmp/src1.0.0/ && $(COPY_FILE) --parents application.qrc .tmp/src1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp .tmp/src1.0.0/ && (cd `dirname .tmp/src1.0.0` && $(TAR) src1.0.0.tar src1.0.0 && $(COMPRESS) src1.0.0.tar) && $(MOVE) `dirname .tmp/src1.0.0`/src1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/src1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

compiler_rcc_make_all: qrc_application.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_application.cpp
qrc_application.cpp: application.qrc \
		images/new.png \
		images/copy.png \
		images/cut.png \
		images/save.png \
		images/paste.png \
		images/open.png
	/usr/bin/rcc -name application application.qrc -o qrc_application.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

qrc_application.o: qrc_application.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_application.o qrc_application.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
qt-maemo-example (0.1-2) unstable; urgency=low

  * Fix Maemo-Icon-26 field in control
  * Fix postinstall script
  * Remove install script

 -- Antonio Aloisio <gnuton@gnuton.org>  Fri, 15 Aug 2008 08:46:17 +0300

qt-maemo-example (0.1-1) unstable; urgency=low

  * Initial release 

 -- Antonio Aloisio <gnuton@gnuton.org>  Wed, 13 Aug 2008 14:17:22 +0300

=== debian/control ===
Source: qt-maemo-example
Section: user/other 
Priority: optional
Maintainer: Antonio Aloisio <gnuton@gnuton.org>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: qt-maemo-example
Architecture: any
Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1),, hildon-application-manager
Description: A simple Qt text editor
 A simple Qt application to test maemo Qt.
 You can analize this package in order to
 understand how to package a Qt application
 for maemo.
 .
 Further Information: qt4.garage.maemo.org 
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gIDg0MI+QcpT0AAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAFY0lEQVRIx72WXWwcVxXHfzOz4931eu1df8Um
 dpw0bkII0KR1UqzWpkJIFUhtIwjKEyCBxAuoEn3h4xFekAChwkMlnioBItCEFiFRqBo1bdI2SpO0
 BhfZcez4i7W99u7auzu7c+/cDx6ySZ1gJ62QuNJo5o40/9/9H50558D/aXl3vhg9njn+rZ/t/Pnw
 U5mB/UPN7uz79fV61Yj/FeRs3nT1NaU/NZK6dOJ7Pft8z0MqZaUwlUpJj4nAnF/LRefOnV6//M/X
 q2uA+Sig2ObNzvvj3/Zizj4/5nNo1x60VU4ow9ZAhCOBECPBJ+QPDg63BJWSmggD81ZpJXpj7LXq
 xbN/KOUA9aEdHf1C67ttnbFDX//hXg70fvzGoR2Nc/PuaIyJqMmQahhSESHlaiiKBTkTBvrtckGd
 m36vfvbFZ1dn7+roJth1mtA62QBYHCyuC67jEHMhnjBkEgqDxHSLuBgQB6ph7cBGrfaNTFfp5b8+
 F3zlyJ4TPTKqlC7OnCpuBbqxrIfWPjegFs91iVmfqA5LSzVqocT3PTq72shkHawTkklEJKzgxb+Z
 4aHBw9dOHP1xRxCuXbg4c2p0W5C1ECkH1wHH9Ym5Tfx72jA1KXGcJLhxcDTzM4qubof9n2wjCKq8
 /UqVhTcHMk88/AwdnW1QrsS3Cx0AxlqUtriOi+96rMw5TI0l8bwWmprr9OwCz4X8kqG46DEeCIwn
 eedUO8MHP09bNoWfFqQ895amuzXIIJXEGIVVcPVKkoTXTqpN8ulHNZ0Dkq7dhgeO+nR3eyxONvHm
 79L0Z4cYefhxTp35Fal2SLU7dwdpq5C6jraS3EyEbzsQYcjuB8qUo3XqUY3VxYgzpw3tH6uSW8wx
 +w/No498DuEWeOjwENmeODv6M33f/eZPBrcNnTYSoSr4nmZpLoaoCvzsMsItobTGlJsZP9ONVjGm
 p+cRZpmFXJyWrE//rj72HfwqnuehlNORbm3uAq5tAxKEukRcS1aXDVGpRLY1j9QbRIHH+d+naG32
 iGfn6NhTIj2maLuvwk9feIriv/qIq15++8fn2AjzYz/6xdMXts86DKEqEI8JAiEoLrcQNRe5Pwo5
 /SzEVDvr3jzyWki6v0ay2aVnZyv9j6xyuTYxp6fa/7S0NttZ2Fi5Atjt/6NGQiijyPYKrl0qUiwr
 Ro/5CBGg3Os89oTPy88nePU3CZIpS0efZPDBJJEtz/761ZPPjHzx5G167nYgi0VqxeBDDusbearr
 Lq+/VOdr32/mye9odh2KGP1SlVrVUMw77D0sSWVdegfjW1Z697Zn+8HeWoi0goRk6HFJuVzm7EuC
 k78ssDqvmRmTTLxXZq1QIJ/Pc+V8AdcFv8kx96recWtvD6W2hkCGDB9rYXmhzIW/C955Dd56ZR1j
 DNZaegdi7Oj32Pugj7H2nm3CAdLGWP/2UmSROqIcBRx7Os3+Iz5v/LnI0nxIMuVyeDTNZ49nMa5C
 WonQEVpZH4gDYjtHSex/d1xjLUJJtNHsPuKz7zM7cB0XbTShigh0BaPtLTeiblJABljd3Bw3O3Lu
 7E+bYZFWKKOpIcC54dZaiwXqVaNWrotSbkZOT12u/WWrESF2K8kgrFfNOLB76yz8QDzY0DI3JYoL
 k+Hc1JX61NTl2kStrGeBRWABWL+z1W8GVa+P15/vHmh6DGi55cZgy2tKLF4NVxcmxOzVS7Wr0+/W
 JiNp54AVYA3YAAIgBCJA3y3r6vWquVRcjl4o5KIvL0yE+bn3w7mJi8Hk7Hg42ThpHigA5YawaMwK
 +mYF+FAzA5AA9gB7Gx8XG1cZqAGyIWzuJXwvkAP4QFND6GYYPrLwnes/C0zgfY79KusAAAAASUVO
 RK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := qt-maemo-example
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
